public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-09-01  5:45 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-09-01  5:45 UTC (permalink / raw
  To: gentoo-commits

commit:     a32ef2fe7cdf0677d9e728c1d116978aecd1d82a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  1 05:44:43 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Sep  1 05:44:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a32ef2fe

dev-ruby/cgi: new package, add 0.3.6

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/Manifest         |  1 +
 dev-ruby/cgi/cgi-0.3.6.ebuild | 28 ++++++++++++++++++++++++++++
 dev-ruby/cgi/metadata.xml     | 11 +++++++++++
 3 files changed, 40 insertions(+)

diff --git a/dev-ruby/cgi/Manifest b/dev-ruby/cgi/Manifest
new file mode 100644
index 000000000000..083b9277b139
--- /dev/null
+++ b/dev-ruby/cgi/Manifest
@@ -0,0 +1 @@
+DIST cgi-0.3.6.tar.gz 221001 BLAKE2B 71f5091c132ec154520f6538a2ba06c164e1ed30f4cc8018052ab49605c674430108d7a87f7bf4b9dc0e1602fd3edd273af0d918de7725ca0127f67516deb1f3 SHA512 13f620b38eb4448da4184c80ff33e64bcaacf6ebff8eed219267ec33c1ed75f119a90f37503b21a835612b417100877cacf0a683f4854f97941c9e22618bf658

diff --git a/dev-ruby/cgi/cgi-0.3.6.ebuild b/dev-ruby/cgi/cgi-0.3.6.ebuild
new file mode 100644
index 000000000000..ae4e5eb14392
--- /dev/null
+++ b/dev-ruby/cgi/cgi-0.3.6.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Support for the Common Gateway Interface protocol"
+HOMEPAGE="https://github.com/ruby/cgi"
+SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+	sed -i -e "/spec.version/ s/= version/= '${PV}'/" ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
+}

diff --git a/dev-ruby/cgi/metadata.xml b/dev-ruby/cgi/metadata.xml
new file mode 100644
index 000000000000..e0de6a47df17
--- /dev/null
+++ b/dev-ruby/cgi/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/cgi</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-09-06  5:34 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-09-06  5:34 UTC (permalink / raw
  To: gentoo-commits

commit:     321b1cc1dc23b2ca91c91ebb4cb8d701e63652b3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  6 05:23:33 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Sep  6 05:33:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=321b1cc1

dev-ruby/cgi: drop 0.3.6

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/cgi-0.3.6.ebuild | 28 ----------------------------
 1 file changed, 28 deletions(-)

diff --git a/dev-ruby/cgi/cgi-0.3.6.ebuild b/dev-ruby/cgi/cgi-0.3.6.ebuild
deleted file mode 100644
index ae4e5eb14392..000000000000
--- a/dev-ruby/cgi/cgi-0.3.6.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32"
-
-RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Support for the Common Gateway Interface protocol"
-HOMEPAGE="https://github.com/ruby/cgi"
-SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="|| ( Ruby-BSD BSD-2 )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
-SLOT="0"
-IUSE="test"
-
-all_ruby_prepare() {
-	sed -i -e "/spec.version/ s/= version/= '${PV}'/" ${RUBY_FAKEGEM_GEMSPEC} || die
-}
-
-each_ruby_test() {
-	${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-09-06  5:34 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-09-06  5:34 UTC (permalink / raw
  To: gentoo-commits

commit:     43ae71f805b947acf2dceb93e5494377136b36fe
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  6 05:23:17 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Sep  6 05:33:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43ae71f8

dev-ruby/cgi: fix name in gemspec

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/cgi-0.3.6-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-ruby/cgi/cgi-0.3.6-r1.ebuild b/dev-ruby/cgi/cgi-0.3.6-r1.ebuild
new file mode 100644
index 000000000000..7408dc861613
--- /dev/null
+++ b/dev-ruby/cgi/cgi-0.3.6-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Support for the Common Gateway Interface protocol"
+HOMEPAGE="https://github.com/ruby/cgi"
+SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+	sed -e "/spec.version/ s/= version/= '${PV}'/" \
+		-e "/spec.name/ s/= name/= '${PN}'/" \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-11-08  7:02 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-11-08  7:02 UTC (permalink / raw
  To: gentoo-commits

commit:     d59bd1b60b66ca5c95f97f70ef44c91e4f7e8670
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  8 06:58:35 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Nov  8 07:00:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d59bd1b6

dev-ruby/cgi: add 0.4.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/Manifest         |  1 +
 dev-ruby/cgi/cgi-0.4.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/cgi/Manifest b/dev-ruby/cgi/Manifest
index 083b9277b139..c7efd0f42002 100644
--- a/dev-ruby/cgi/Manifest
+++ b/dev-ruby/cgi/Manifest
@@ -1 +1,2 @@
 DIST cgi-0.3.6.tar.gz 221001 BLAKE2B 71f5091c132ec154520f6538a2ba06c164e1ed30f4cc8018052ab49605c674430108d7a87f7bf4b9dc0e1602fd3edd273af0d918de7725ca0127f67516deb1f3 SHA512 13f620b38eb4448da4184c80ff33e64bcaacf6ebff8eed219267ec33c1ed75f119a90f37503b21a835612b417100877cacf0a683f4854f97941c9e22618bf658
+DIST cgi-0.4.0.tar.gz 209136 BLAKE2B f16b5c30381fa94ccf30f45ddeefded5fb577748d3c8cc7e00e00c2d1b0993bf8687cd461c6aaba6a54b45490b675a4133510c8520a19479e4e17128ad2e7aa1 SHA512 412c3c1549e8b2387bec33da056c72cf1ad94267bac2f575abfc022078300304fa7d704a07da67ed699917aa49a41fd2424dc3fa2adf9f1ba1641cfee5c525d3

diff --git a/dev-ruby/cgi/cgi-0.4.0.ebuild b/dev-ruby/cgi/cgi-0.4.0.ebuild
new file mode 100644
index 000000000000..9087fea27c8e
--- /dev/null
+++ b/dev-ruby/cgi/cgi-0.4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Support for the Common Gateway Interface protocol"
+HOMEPAGE="https://github.com/ruby/cgi"
+SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -e "/spec.version/ s/= version/= '${PV}'/" \
+		-e "/spec.name/ s/= name/= '${PN}'/" \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-12-17  9:36 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-12-17  9:36 UTC (permalink / raw
  To: gentoo-commits

commit:     8a1d19d86d5c0a79de85be0b565e3fbe399d8512
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 17 08:11:33 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 17 09:34:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a1d19d8

dev-ruby/cgi: add 0.4.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/Manifest         |  1 +
 dev-ruby/cgi/cgi-0.4.1.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/cgi/Manifest b/dev-ruby/cgi/Manifest
index c7efd0f42002..c1461a60482e 100644
--- a/dev-ruby/cgi/Manifest
+++ b/dev-ruby/cgi/Manifest
@@ -1,2 +1,3 @@
 DIST cgi-0.3.6.tar.gz 221001 BLAKE2B 71f5091c132ec154520f6538a2ba06c164e1ed30f4cc8018052ab49605c674430108d7a87f7bf4b9dc0e1602fd3edd273af0d918de7725ca0127f67516deb1f3 SHA512 13f620b38eb4448da4184c80ff33e64bcaacf6ebff8eed219267ec33c1ed75f119a90f37503b21a835612b417100877cacf0a683f4854f97941c9e22618bf658
 DIST cgi-0.4.0.tar.gz 209136 BLAKE2B f16b5c30381fa94ccf30f45ddeefded5fb577748d3c8cc7e00e00c2d1b0993bf8687cd461c6aaba6a54b45490b675a4133510c8520a19479e4e17128ad2e7aa1 SHA512 412c3c1549e8b2387bec33da056c72cf1ad94267bac2f575abfc022078300304fa7d704a07da67ed699917aa49a41fd2424dc3fa2adf9f1ba1641cfee5c525d3
+DIST cgi-0.4.1.tar.gz 209438 BLAKE2B 9cce9b7028ae21337686f37b10ccc0912041642407cce437d07f67a01d2cdb52319dd16686b6b33ba1757240b3876a5971892b69a04bcfa1077a1b51fec7a734 SHA512 a1224135196b02aaf418adaa21a8afbc319e49650d126baff3a965a4504e2d5eb6fa9d1cd965a0cf41b8158398b3015f3605e3390d689846a2b72f3773d8dae9

diff --git a/dev-ruby/cgi/cgi-0.4.1.ebuild b/dev-ruby/cgi/cgi-0.4.1.ebuild
new file mode 100644
index 000000000000..11b7a6ded8f8
--- /dev/null
+++ b/dev-ruby/cgi/cgi-0.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/cgi
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="cgi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Support for the Common Gateway Interface protocol"
+HOMEPAGE="https://github.com/ruby/cgi"
+SRC_URI="https://github.com/ruby/cgi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -e "/spec.version/ s/= version/= '${PV}'/" \
+		-e "/spec.name/ s/= name/= '${PN}'/" \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -rtest/lib/helper -e "Dir['test/**/test_*.rb'].each { require _1 }" || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/
@ 2023-12-27 20:59 Hans de Graaff
  0 siblings, 0 replies; 6+ messages in thread
From: Hans de Graaff @ 2023-12-27 20:59 UTC (permalink / raw
  To: gentoo-commits

commit:     5357846fdc0a4a0dcde452652689a1c82a0ca48b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 20:46:40 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 20:59:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5357846f

dev-ruby/cgi: enable ruby33

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/cgi/cgi-0.4.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/cgi/cgi-0.4.1.ebuild b/dev-ruby/cgi/cgi-0.4.1.ebuild
index 11b7a6ded8f8..2024cd9d9583 100644
--- a/dev-ruby/cgi/cgi-0.4.1.ebuild
+++ b/dev-ruby/cgi/cgi-0.4.1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 RUBY_FAKEGEM_EXTENSIONS=(ext/cgi/escape/extconf.rb)
 RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/cgi


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-12-27 20:59 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-17  9:36 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/cgi/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2023-12-27 20:59 Hans de Graaff
2023-11-08  7:02 Hans de Graaff
2023-09-06  5:34 Hans de Graaff
2023-09-06  5:34 Hans de Graaff
2023-09-01  5:45 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox